summaryrefslogtreecommitdiffstats
path: root/source/a/procps
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/procps
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to '')
-rwxr-xr-xsource/a/procps-ng/procps-ng.SlackBuild251
-rw-r--r--source/a/procps-ng/psmisc.3638cc55b4d08851faba46635d737b24d016665b.diff25
-rw-r--r--source/a/procps-ng/slack-desc19
-rw-r--r--source/a/procps/procinfo.gcc3.diff11
-rw-r--r--source/a/procps/procinfo.lsm15
-rw-r--r--source/a/procps/procps-3.2.7-ps-cgroup.patch65
-rw-r--r--source/a/procps/procps-3.2.7-ps-eip64.diff48
-rw-r--r--source/a/procps/procps-3.2.8-ps-cgroup-suppress-root-group.patch36
-rw-r--r--source/a/procps/procps-3.2.8.makefile.diff11
-rw-r--r--source/a/procps/procps-3.2.8.unknown.hz.value.diff32
-rwxr-xr-xsource/a/procps/procps.SlackBuild207
-rw-r--r--source/a/procps/procps.nowarning.diff25
-rw-r--r--source/a/procps/procps.w.showfrom.diff11
-rw-r--r--source/ap/usbmuxd/slack-desc (renamed from source/a/procps/slack-desc)24
14 files changed, 307 insertions, 473 deletions
diff --git a/source/a/procps-ng/procps-ng.SlackBuild b/source/a/procps-ng/procps-ng.SlackBuild
new file mode 100755
index 000000000..e46afd2ce
--- /dev/null
+++ b/source/a/procps-ng/procps-ng.SlackBuild
@@ -0,0 +1,251 @@
+#!/bin/sh
+
+# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=procps-ng
+VERSION=${VERSION:-3.3.11}
+PSMISCVER=${PSMISCVER:-22.21}
+PROCINFONGVER=${PROCINFONGVER:-2.0.304}
+PROCINFOVER=${PROCINFOVER:-18}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+tar xvf $CWD/psmisc-$PSMISCVER.tar.xz || exit 1
+tar xvf $CWD/procinfo-ng-$PROCINFONGVER.tar.xz || exit 1
+tar xvf $CWD/procinfo-$PROCINFOVER.tar.xz || exit 1
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/ \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --includedir=/usr/include \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --datarootdir=/usr/share \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-static=no \
+ --disable-silent-rules \
+ --disable-rpath \
+ --enable-watch8bit \
+ --enable-skill \
+ --enable-sigwinch \
+ --enable-w-from \
+ --disable-kill \
+ --without-systemd \
+ --disable-modern-top \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Move the shared library to $PKG/lib${LIBDIRSUFFIX}:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in lib*.so.?.* ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+ cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
+)
+
+# Remove .la file(s):
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+# It seems that upstream has shuffled the location of many tools with the
+# 3.3.11 release. To me, this just doesn't make sense to break any existing
+# scripts that might be using an absolute path, or to move tools that might
+# be needed before /usr is mounted into /usr. So, we will make sure that
+# everything is moved back to where the Slackware locations have always been.
+# These tools belong in /bin:
+mkdir -p $PKG/bin
+for file in free killall ps ; do
+ find $PKG -name $file -exec mv "{}" $PKG/bin \;
+done
+# These tools belong in /sbin:
+mkdir -p $PKG/sbin
+for file in pidof sysctl ; do
+ find $PKG -name $file -exec mv "{}" $PKG/sbin \;
+done
+mkdir -p $PKG/usr/bin
+# These tools belong in /usr/bin:
+for file in fuser lsdev peekfd pgrep pkill pmap procinfo prtstat pstree pwdx skill slabtop snice socklist tload top uptime vmstat w watch ; do
+ find $PKG -name $file -exec mv "{}" $PKG/usr/bin \;
+done
+# These symlinks belong in /bin:
+rm -f $PKG/bin/pidof
+ln -sf /sbin/pidof $PKG/bin/pidof
+# These symlinks belong in /usr/bin:
+rm -f $PKG/usr/bin/free $PKG/usr/bin/pidof $PKG/usr/bin/ps
+ln -sf /bin/free $PKG/usr/bin/free
+ln -sf /sbin/pidof $PKG/usr/bin/pidof
+ln -sf /bin/ps $PKG/usr/bin/ps
+
+# Create /etc/sysctl.d:
+mkdir -p $PKG/etc/sysctl.d
+
+cd psmisc-$PSMISCVER || exit 1
+
+# Fix fuser -s:
+zcat $CWD/psmisc.3638cc55b4d08851faba46635d737b24d016665b.diff.gz | patch -p1 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/psmisc-$PSMISCVER \
+ --disable-silent-rules \
+ --disable-rpath \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Move "killall" to the traditional location:
+mv $PKG/usr/bin/killall $PKG/bin
+ln -s /bin/killall $PKG/usr/bin/killall
+
+mkdir -p $PKG/usr/doc/psmisc-$PSMISCVER
+cp -a ChangeLog COPYING* NEWS README* $PKG/usr/doc/psmisc-$PSMISCVER
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$PKG/usr/doc/psmisc-$PSMISCVER
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+cd ../procinfo-ng-$PROCINFONGVER || exit 1
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/procinfo-ng-$PROCINFONGVER \
+ --enable-maintainer-mode \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/procinfo-ng-$PROCINFONGVER
+cp -a GPL-2.txt LGPL-2.1.txt LICENSE.txt COPYING* README* $PKG/usr/doc/procinfo-ng-$PROCINFONGVER
+
+# Now install a couple of scripts from the original procinfo package.
+cd ../procinfo-$PROCINFOVER || exit 1
+install -m 0755 lsdev.pl $PKG/usr/bin/lsdev
+install -m 0755 socklist.pl $PKG/usr/bin/socklist
+install -m 0644 lsdev.8 socklist.8 $PKG/usr/man/man8
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Back to the procps-ng main source directory...
+cd ..
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING* NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$PKG/usr/doc/$PKGNAM-$VERSION
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/a/procps-ng/psmisc.3638cc55b4d08851faba46635d737b24d016665b.diff b/source/a/procps-ng/psmisc.3638cc55b4d08851faba46635d737b24d016665b.diff
new file mode 100644
index 000000000..d930f6f23
--- /dev/null
+++ b/source/a/procps-ng/psmisc.3638cc55b4d08851faba46635d737b24d016665b.diff
@@ -0,0 +1,25 @@
+diff --git a/ChangeLog b/ChangeLog
+index fd1cccf..e5f784c 100644
+--- a/ChangeLog
++++ b/ChangeLog
+@@ -1,3 +1,7 @@
++Changes in 22.22
++================
++ * Fixed typo in fuser which has -M on Debian #740275
++
+ Changes in 22.21
+ ================
+ * Missing comma in fuser(1) added Debian #702391
+diff --git a/src/fuser.c b/src/fuser.c
+index b485f65..389b302 100644
+--- a/src/fuser.c
++++ b/src/fuser.c
+@@ -1174,7 +1174,7 @@ int main(int argc, char *argv[])
+ usage(_("No process specification given"));
+
+ /* Check if -M flag was used and if so check mounts */
+- if (opts * OPT_ISMOUNTPOINT) {
++ if (opts & OPT_ISMOUNTPOINT) {
+ check_mountpoints(&mounts, &names_head, &names_tail);
+ }
+
diff --git a/source/a/procps-ng/slack-desc b/source/a/procps-ng/slack-desc
new file mode 100644
index 000000000..0573fcb04
--- /dev/null
+++ b/source/a/procps-ng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+procps-ng: procps-ng (utilities for displaying process information)
+procps-ng:
+procps-ng: The procps-ng package provides the classic set of utilities used to
+procps-ng: display information about the processes currently running on the
+procps-ng: machine.
+procps-ng:
+procps-ng: Homepage: http://sourceforge.net/projects/procps-ng/
+procps-ng:
+procps-ng:
+procps-ng:
+procps-ng:
diff --git a/source/a/procps/procinfo.gcc3.diff b/source/a/procps/procinfo.gcc3.diff
deleted file mode 100644
index 96a3dbb19..000000000
--- a/source/a/procps/procinfo.gcc3.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./routines.c.orig 2001-02-24 15:30:45.000000000 -0800
-+++ ./routines.c 2003-02-07 13:38:09.000000000 -0800
-@@ -390,7 +390,7 @@
- unsigned int d, h, m, s;
- static char buf[22];
-
-- t = t * 100 / HZ;
-+ t = t * 100. / HZ;
- d = (int) (t / 8640000);
- t = t - (long) (d * 8640000);
- h = (int) (t / 360000);
diff --git a/source/a/procps/procinfo.lsm b/source/a/procps/procinfo.lsm
deleted file mode 100644
index 70ff559f6..000000000
--- a/source/a/procps/procinfo.lsm
+++ /dev/null
@@ -1,15 +0,0 @@
-Begin3
-Title: procinfo
-Version: 18
-Entered-date: 02MAR01
-Description: A utility to prettyprint /proc/*
-Keywords: procinfo, system info
-Author: svm@kozmix.cistron.nl (Sander van Malssen)
-Maintained-by: svm@kozmix.cistron.nl (Sander van Malssen)
-Primary-site: ftp.cistron.nl /pub/people/svm
- 23k procinfo-18.tar.gz
-Alternate-site: metalab.unc.edu /pub/Linux/system/status/ps
-Alternate-site: tsx-11.mit.edu /pub/linux/sources/usr.bin
-Platforms: Linux 1.0.x - 2.4.x
-Copying-policy: GNU Public License
-End
diff --git a/source/a/procps/procps-3.2.7-ps-cgroup.patch b/source/a/procps/procps-3.2.7-ps-cgroup.patch
deleted file mode 100644
index de5c6b269..000000000
--- a/source/a/procps/procps-3.2.7-ps-cgroup.patch
+++ /dev/null
@@ -1,65 +0,0 @@
-diff -burN procps-3.2.8/ps/output.c procps-3.2.8.cgroups/ps/output.c
---- procps-3.2.8/ps/output.c 2009-05-10 14:24:50.000000000 -0500
-+++ procps-3.2.8.cgroups/ps/output.c 2010-12-04 12:35:56.000000000 -0600
-@@ -1099,6 +1099,39 @@
- return snprintf(outbuf, COLWID, "*");
- }
-
-+static int pr_cgroup(char *restrict const outbuf, const proc_t *restrict const pp){
-+ char filename[48];
-+ FILE *fd;
-+ int counter = 0;
-+ int c;
-+ int is_cgroup = 0;
-+
-+ outbuf[0]='\0';
-+ snprintf(filename, sizeof filename, "/proc/%d/cgroup", pp->tgid);
-+ fd = fopen(filename, "r");
-+ if (likely(fd == NULL)) goto fail;
-+ while (( (c = fgetc(fd)) != EOF) && (counter<665)) {
-+ if (is_cgroup == 0) {
-+ if (c == ':') {
-+ is_cgroup = 1;
-+ if (counter>0)
-+ outbuf[counter++]=';';
-+ }
-+ }else
-+ if ((c == '\n') || (c == '\0'))
-+ is_cgroup = 0;
-+ else
-+ outbuf[counter++]=c;
-+ }
-+ outbuf[counter]='\0';
-+ close(fd);
-+ if (counter>0)
-+ return counter;
-+fail:
-+ outbuf[0] = '-';
-+ outbuf[1] = '\0';
-+ return 1;
-+}
-
- /****************** FLASK & seLinux security stuff **********************/
- // move the bulk of this to libproc sometime
-@@ -1293,6 +1326,7 @@
- {"bsdtime", "TIME", pr_bsdtime, sr_nop, 6, 0, LNX, ET|RIGHT},
- {"c", "C", pr_c, sr_pcpu, 2, 0, SUN, ET|RIGHT},
- {"caught", "CAUGHT", pr_sigcatch, sr_nop, 9, 0, BSD, TO|SIGNAL}, /*sigcatch*/
-+{"cgroup", "CGROUP", pr_cgroup, sr_nop, 35, 0, LNX, PO|LEFT}, /* cgroups*/
- {"class", "CLS", pr_class, sr_sched, 3, 0, XXX, TO|LEFT},
- {"cls", "CLS", pr_class, sr_sched, 3, 0, HPU, TO|RIGHT}, /*says HPUX or RT*/
- {"cmaj_flt", "-", pr_nop, sr_cmaj_flt, 1, 0, LNX, AN|RIGHT},
-diff -burN procps-3.2.8/ps/ps.1 procps-3.2.8.cgroups/ps/ps.1
---- procps-3.2.8/ps/ps.1 2009-05-10 14:38:17.000000000 -0500
-+++ procps-3.2.8.cgroups/ps/ps.1 2010-12-04 12:43:12.000000000 -0600
-@@ -904,6 +904,10 @@
- displayed. (alias\ \fBsig_catch\fR,\ \fBsigcatch\fR).
- T}
-
-+cgroup CGROUP T{
-+display control groups to which the process belongs.
-+T}
-+
- class CLS T{
- scheduling class of the process. (alias\ \fBpolicy\fR,\ \fBcls\fR).
- Field's possible values are:
diff --git a/source/a/procps/procps-3.2.7-ps-eip64.diff b/source/a/procps/procps-3.2.7-ps-eip64.diff
deleted file mode 100644
index 9eb851f44..000000000
--- a/source/a/procps/procps-3.2.7-ps-eip64.diff
+++ /dev/null
@@ -1,48 +0,0 @@
---- procps-3.2.7/ps/ps.1.eip64 2007-06-14 11:08:35.000000000 +0200
-+++ procps-3.2.7/ps/ps.1 2007-06-14 11:03:28.000000000 +0200
-@@ -1156,6 +1156,14 @@
- or\ a\ decimal representation otherwise.
- T}
-
-+rip RIP T{
-+64-bit instruction pointer.
-+T}
-+
-+rsp RSP T{
-+64-bit stack pointer.
-+T}
-+
- rss RSS T{
- resident set size, the non\-swapped physical memory that
- a task has used (in\ kiloBytes).
---- procps-3.2.7/ps/output.c.eip64 2007-06-14 11:08:24.000000000 +0200
-+++ procps-3.2.7/ps/output.c 2007-06-14 10:58:21.000000000 +0200
-@@ -764,10 +764,18 @@
- return snprintf(outbuf, COLWID, "%08x", (unsigned)(pp->kstk_esp));
- }
-
-+static int pr_rsp(char *restrict const outbuf, const proc_t *restrict const pp){
-+ return snprintf(outbuf, COLWID, "%016lx", (unsigned long)(pp->kstk_esp));
-+}
-+
- static int pr_eip(char *restrict const outbuf, const proc_t *restrict const pp){
- return snprintf(outbuf, COLWID, "%08x", (unsigned)(pp->kstk_eip));
- }
-
-+static int pr_rip(char *restrict const outbuf, const proc_t *restrict const pp){
-+ return snprintf(outbuf, COLWID, "%016lx", (unsigned long)(pp->kstk_eip));
-+}
-+
- /* This function helps print old-style time formats */
- static int old_time_helper(char *dst, unsigned long long t, unsigned long long rel) {
- if(!t) return snprintf(dst, COLWID, " -");
-@@ -1403,7 +1411,9 @@
- {"resident", "RES", pr_nop, sr_resident, 5,MEM, LNX, PO|RIGHT},
- {"rgid", "RGID", pr_rgid, sr_rgid, 5, 0, XXX, ET|RIGHT},
- {"rgroup", "RGROUP", pr_rgroup, sr_rgroup, 8, GRP, U98, ET|USER}, /* was 8 wide */
-+{"rip", "RIP", pr_rip, sr_kstk_eip, 16, 0, LNX, TO|RIGHT},
- {"rlink", "RLINK", pr_nop, sr_nop, 8, 0, BSD, AN|RIGHT},
-+{"rsp", "RSP", pr_rsp, sr_kstk_eip, 16, 0, LNX, TO|RIGHT},
- {"rss", "RSS", pr_rss, sr_rss, 5, 0, XXX, PO|RIGHT}, /* was 5 wide */
- {"rssize", "RSS", pr_rss, sr_vm_rss, 5, 0, DEC, PO|RIGHT}, /*rsz*/
- {"rsz", "RSZ", pr_rss, sr_vm_rss, 5, 0, BSD, PO|RIGHT}, /*rssize*/
diff --git a/source/a/procps/procps-3.2.8-ps-cgroup-suppress-root-group.patch b/source/a/procps/procps-3.2.8-ps-cgroup-suppress-root-group.patch
deleted file mode 100644
index 4b192c1fb..000000000
--- a/source/a/procps/procps-3.2.8-ps-cgroup-suppress-root-group.patch
+++ /dev/null
@@ -1,36 +0,0 @@
---- procps-3.2.8/ps/output.c 2010-05-18 06:00:18.000000000 +0200
-+++ procps-3.2.8.lennart/ps/output.c 2010-05-18 05:59:46.000000000 +0200
-@@ -1109,7 +1109,7 @@
- static int pr_cgroup(char *restrict const outbuf, const proc_t *restrict const pp){
- char filename[48];
- FILE *fd;
-- int counter = 0;
-+ int counter = 0, last_begin = 0, slash = 0;
- int c;
- int is_cgroup = 0;
-
-@@ -1121,15 +1121,22 @@
- if (is_cgroup == 0) {
- if (c == ':') {
- is_cgroup = 1;
-+ slash = 0;
- if (counter>0)
- outbuf[counter++]=';';
- }
- }else
-- if ((c == '\n') || (c == '\0'))
-- is_cgroup = 0;
-+ if ((c == '\n') || (c == '\0')){
-+ if (slash) /* if the last char was a / this process is in the root cgroup which we should suppress */
-+ counter = last_begin;
- else
-+ last_begin = counter;
-+ is_cgroup = 0;
-+ } else {
-+ slash = c == '/';
- outbuf[counter++]=c;
- }
-+ }
- outbuf[counter]='\0';
- close(fd);
- if (counter>0)
diff --git a/source/a/procps/procps-3.2.8.makefile.diff b/source/a/procps/procps-3.2.8.makefile.diff
deleted file mode 100644
index 383d328cb..000000000
--- a/source/a/procps/procps-3.2.8.makefile.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./Makefile.orig 2009-05-10 13:50:48.000000000 -0500
-+++ ./Makefile 2013-06-25 16:19:06.058320108 -0500
-@@ -174,7 +174,7 @@
- # want this rule first, use := on ALL, and ALL not filled in yet
- all: do_all
-
---include */module.mk
-+-include proc/module.mk ps/module.mk
-
- do_all: $(ALL)
-
diff --git a/source/a/procps/procps-3.2.8.unknown.hz.value.diff b/source/a/procps/procps-3.2.8.unknown.hz.value.diff
deleted file mode 100644
index be283814e..000000000
--- a/source/a/procps/procps-3.2.8.unknown.hz.value.diff
+++ /dev/null
@@ -1,32 +0,0 @@
---- procps-3.2.8.orig/proc/sysinfo.c 2008-03-24 04:33:43.000000000 +0000
-+++ procps-3.2.8.orig/proc/sysinfo.c 2011-02-07 18:14:16.476982472 +0000
-@@ -212,6 +212,7 @@ static int check_for_privs(void){
- static void init_libproc(void) __attribute__((constructor));
- static void init_libproc(void){
- have_privs = check_for_privs();
-+ init_Linux_version();
- // ought to count CPUs in /proc/stat instead of relying
- // on glibc, which foolishly tries to parse /proc/cpuinfo
- //
---- procps-3.2.8.orig/proc/version.c 2003-01-29 01:11:43.000000000 +0000
-+++ procps-3.2.8.orig/proc/version.c 2011-02-07 18:13:12.283649138 +0000
-@@ -33,8 +33,7 @@ void display_version(void) {
-
- int linux_version_code;
-
--static void init_Linux_version(void) __attribute__((constructor));
--static void init_Linux_version(void) {
-+void init_Linux_version(void) {
- static struct utsname uts;
- int x = 0, y = 0, z = 0; /* cleared in case sscanf() < 3 */
-
---- procps-3.2.8.orig/proc/version.h 2002-12-15 00:08:32.000000000 +0000
-+++ procps-3.2.8.orig/proc/version.h 2011-02-07 18:14:20.263649138 +0000
-@@ -14,6 +14,7 @@
-
- EXTERN_C_BEGIN
-
-+extern void init_Linux_version(void);
- extern void display_version(void); /* display suite version */
- extern const char procps_version[]; /* global buf for suite version */
-
diff --git a/source/a/procps/procps.SlackBuild b/source/a/procps/procps.SlackBuild
deleted file mode 100755
index 255ece40d..000000000
--- a/source/a/procps/procps.SlackBuild
+++ /dev/null
@@ -1,207 +0,0 @@
-#!/bin/sh
-
-# Copyright 2005-2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-
-VERSION=3.2.8
-# Sometimes this number lags behind...
-SOVER=3.2.8
-PSMISCVER=22.13
-BUILD=${BUILD:-4}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
- esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-procps
-
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-fi
-
-# Prepare build locations:
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf procps-$VERSION
-tar xvf $CWD/procps-$VERSION.tar.?z* || exit 1
-cd procps-$VERSION || exit 1
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-mkdir -p $PKG/usr/doc/procps-$VERSION
-cp -a BUGS COPYING* NEWS TODO $PKG/usr/doc/procps-$VERSION
-chown root:root $PKG/usr/doc/procps-$VERSION/*
-chmod 644 $PKG/usr/doc/procps-$VERSION/*
-
-# While I don't agree this is a harmful patch, I will defer to the
-# maintainer's judgement on this one. Besides, I quit using the '-'
-# with ps years ago. It wasn't that hard to change.
-#echo zcat $CWD/procps.nowarning.diff.gz
-#zcat $CWD/procps.nowarning.diff.gz | patch -p1 --verbose || exit 1
-
-# Display the location from which the user is logged in by default.
-# This is how previous versions of 'w' in Slackware have always
-# defaulted.
-echo zcat $CWD/procps.w.showfrom.diff.gz
-zcat $CWD/procps.w.showfrom.diff.gz | patch -p1 --verbose || exit 1
-
-if [ "$ARCH" = "x86_64" ]; then
-# Taken from RedHat: ps truncates eip and esp to 32bit values on 64bit systems.
-# The patch adds 64bit rip and rsp to the 'ps' output options on x86_64
- zcat $CWD/procps-3.2.7-ps-eip64.diff.gz | patch -p1 --verbose || exit 1
-fi
-
-# Add support for cgroups display:
-zcat $CWD/procps-3.2.7-ps-cgroup.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/procps-3.2.8-ps-cgroup-suppress-root-group.patch.gz | patch -p1 --verbose || exit 1
-
-# Init contructors in correct order to avoid "Unknown HZ value!":
-zcat $CWD/procps-3.2.8.unknown.hz.value.diff.gz | patch -p1 --verbose || exit 1
-
-# Fix an ordering problem in the Makefile:
-zcat $CWD/procps-3.2.8.makefile.diff.gz | patch -p1 --verbose || exit 1
-
-make OPT="$SLKCFLAGS" || make OPT="$SLKCFLAGS" || exit 1
-mkdir -p $PKG/lib${LIBDIRSUFFIX} $PKG/bin $PKG/sbin $PKG/usr/bin $PKG/usr/include/proc
-cat free > $PKG/bin/free
-cat ps/ps> $PKG/bin/ps
-cat proc/libproc-${SOVER}.so > $PKG/lib${LIBDIRSUFFIX}/libproc-${SOVER}.so
-cat pkill > $PKG/usr/bin/pkill
-cat skill > $PKG/usr/bin/skill
-cat pmap > $PKG/usr/bin/pmap
-cat slabtop > $PKG/usr/bin/slabtop
-cat sysctl > $PKG/sbin/sysctl
-cat tload > $PKG/usr/bin/tload
-cat top > $PKG/usr/bin/top
-cat uptime > $PKG/usr/bin/uptime
-cat vmstat > $PKG/usr/bin/vmstat
-cat w > $PKG/usr/bin/w
-cat watch > $PKG/usr/bin/watch
-( cd $PKG/usr/bin
- ln -sf pkill pgrep
- ln -sf skill snice
- # Just in case
- ln -sf /bin/free .
- ln -sf /bin/ps .
-)
-cp -a proc/*.h $PKG/usr/include/proc
-chown -R root:root $PKG/usr/include/proc
-chmod 644 $PKG/usr/include/proc/*
-cp -a ps/ps.1 .
-mkdir -p $PKG/usr/man/man1
-for page in free.1 pgrep.1 pkill.1 ps.1 slabtop.1 skill.1 snice.1 tload.1 top.1 uptime.1 w.1 watch.1 ; do
- cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
-done
-mkdir -p $PKG/usr/man/man5
-cat sysctl.conf.5 | gzip -9c > $PKG/usr/man/man5/sysctl.conf.5.gz
-mkdir -p $PKG/usr/man/man8
-for page in vmstat.8 sysctl.8 ; do
- cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
-done
-
-echo "+=============+"
-echo "| psmisc-$PSMISCVER |"
-echo "+=============+"
-cd $TMP
-rm -rf psmisc-$PSMISCVER
-tar xvf $CWD/psmisc-$PSMISCVER.tar.?z* || exit 1
-cd psmisc-$PSMISCVER
-# Maybe we'll turn on NLS when it supports more than
-# just US English. :)
-CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --disable-nls
-mkdir -p $PKG/usr/doc/psmisc-$PSMISCVER
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/psmisc-$PSMISCVER
-chmod 644 $PKG/usr/doc/psmisc-$PSMISCVER/*
-chown root:root $PKG/usr/doc/psmisc-$PSMISCVER/*
-make || make || exit 1
-cd src
-strip fuser pstree killall
-cat fuser > $PKG/usr/bin/fuser
-cat pstree > $PKG/usr/bin/pstree
-cat killall > $PKG/bin/killall
-cd ../doc
-for page in fuser.1 killall.1 pstree.1 ; do
- cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
-done
-cd ..
-
-echo "+=============+"
-echo "| procinfo-18 |"
-echo "+=============+"
-cd $TMP
-rm -rf procinfo-18
-tar xzvf $CWD/procinfo-18.tar.gz
-cd procinfo-18
-zcat $CWD/procinfo.gcc3.diff.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
-mkdir -p $PKG/usr/doc/procinfo-18
-cp -a CHANGES README $PKG/usr/doc/procinfo-18
-chmod 644 $PKG/usr/doc/procinfo-18/*
-chown root:root $PKG/usr/doc/procinfo-18/*
-make CFLAGS="$SLKCFLAGS"
-strip procinfo
-cat procinfo > $PKG/usr/bin/procinfo
-cat lsdev.pl > $PKG/usr/bin/lsdev
-cat socklist.pl > $PKG/usr/bin/socklist
-for page in procinfo.8 lsdev.8 socklist.8 ; do
- cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
-done
-
-# Fix permissions:
-chmod 755 $PKG/lib${LIBDIRSUFFIX}/* $PKG/bin/* $PKG/sbin/* $PKG/usr/bin/*
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-# Build the package:
-cd $PKG
-makepkg -l y -c n $TMP/procps-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/a/procps/procps.nowarning.diff b/source/a/procps/procps.nowarning.diff
deleted file mode 100644
index bd4b1466a..000000000
--- a/source/a/procps/procps.nowarning.diff
+++ /dev/null
@@ -1,25 +0,0 @@
---- ./ps/parser.c.orig 2004-08-09 17:41:10.000000000 -0700
-+++ ./ps/parser.c 2004-08-16 18:30:09.000000000 -0700
-@@ -1213,12 +1213,20 @@
- // about "ps -aux" suddenly changing behavior if a user "x" were
- // added to the system.
- //
-+ // Yes, this is still getting patched out here. IMO, people can change
-+ // old habits if and when user 'x' comes along. I still find this warning
-+ // to be a POLA violation. No offense... that's the beauty of open source.
-+ // You've got your ideas about this, and I have mine, and we're allowed
-+ // to disagree. Nothing in the UNIX or POSIX standards requires this (annoying)
-+ // warning to be displayed, and we're not changing the actual behavior
-+ // of ps in any way. I know of no other 'ps' that produces this message.
-+ //
- // Also, a "-x" option is coming. It's already there in fact,
- // for some non-default personalities. So "ps -ax" will parse
- // as SysV options... and you're screwed if you've been patching
- // out the friendly warning. Cut-over is likely to be in 2005.
-- if(!(personality & PER_FORCE_BSD))
-- fprintf(stderr, "Warning: bad ps syntax, perhaps a bogus '-'? See http://procps.sf.net/faq.html\n");
-+ // if(!(personality & PER_FORCE_BSD))
-+ // fprintf(stderr, "Warning: bad ps syntax, perhaps a bogus '-'? See http://procps.sf.net/faq.html\n");
- // Remember: contact albert@users.sf.net or procps-feedback@lists.sf.net
- // if you should feel tempted. Be damn sure you understand all
- // the issues. The same goes for other stuff too, BTW. Please ask.
diff --git a/source/a/procps/procps.w.showfrom.diff b/source/a/procps/procps.w.showfrom.diff
deleted file mode 100644
index 0b1c71a3e..000000000
--- a/source/a/procps/procps.w.showfrom.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./w.c.orig 2002-12-21 05:30:33.000000000 -0800
-+++ ./w.c 2003-02-02 11:46:58.000000000 -0800
-@@ -33,6 +33,8 @@
-
- typedef struct utmp utmp_t;
-
-+#define W_SHOWFROM 1
-+
- #ifdef W_SHOWFROM
- # define FROM_STRING "on"
- #else
diff --git a/source/a/procps/slack-desc b/source/ap/usbmuxd/slack-desc
index 22cf9e0d2..b7602ce4d 100644
--- a/source/a/procps/slack-desc
+++ b/source/ap/usbmuxd/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-procps: procps (utilities for displaying process information)
-procps:
-procps: The procps package provides the classic set of utilities used to
-procps: display information about the processes currently running on the
-procps: machine.
-procps:
-procps:
-procps:
-procps:
-procps:
-procps:
+ |-----handy-ruler------------------------------------------------------|
+usbmuxd: usbmuxd (iOS USB connection daemon)
+usbmuxd:
+usbmuxd: A client daemon to multiplex connections from and to iOS devices.
+usbmuxd: It is used by libgpod.
+usbmuxd:
+usbmuxd: The usbmuxd homepage: http://www.libimobiledevice.org/
+usbmuxd:
+usbmuxd:
+usbmuxd:
+usbmuxd:
+usbmuxd: